Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridToPolyDataFilter Class Reference

`#include <vtkStructuredGridToPolyDataFilter.h>`

Inheritance diagram for vtkStructuredGridToPolyDataFilter:

[legend]
Collaboration diagram for vtkStructuredGridToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.21

vtkStructuredGridToPolyDataFilter is a filter whose subclasses take as input structured grid datasets and generate polygonal data on output.

See also:
  vtkStructuredGridGeometryFilter vtkStructuredGridOutlineFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (66%)
  - Cedilnik, Andy (16%)
  - Lorensen, Bill (11%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredGridToPolyDataFilter.cxx)`
  - .`h` (`/Filtering/vtkStructuredGridToPolyDataFilter.h)`

Definition at line 49 of file vtkStructuredGridToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkStructuredGrid *input)
vtkStructuredGrid * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredGridToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridToPolyDataFilter ()
| ~vtkStructuredGridToPolyDataFilter ()

## Member Typedef Documentation

typedef vtkPolyDataSource vtkStructuredGridToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, vtkStructuredGridOutlineFilter, and vtkGridSynchronizedTemplates3D. Definition at line 52 of file vtkStructuredGridToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkStructuredGridToPolyDataFilter::vtkStructuredGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkStructuredGridToPolyDataFilter.h.

vtkStructuredGridToPolyDataFilter::~vtkStructuredGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkStructuredGridToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredGridToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, vtkStructuredGridOutlineFilter, and vtkGridSynchronizedTemplates3D.

int vtkStructuredGridToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, vtkStructuredGridOutlineFilter, and vtkGridSynchronizedTemplates3D.

virtual int vtkStructuredGridToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, vtkStructuredGridOutlineFilter, and vtkGridSynchronizedTemplates3D.

vtkStructuredGridToPolyDataFilter* vtkStructuredGridToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, vtkStructuredGridOutlineFilter, and vtkGridSynchronizedTemplates3D.

void vtkStructuredGridToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkStructuredGridGeometryFilter, and vtkGridSynchronizedTemplates3D.

void vtkStructuredGridToPolyDataFilter::SetInput | ( | vtkStructuredGrid * | input | ) |

| Set / get the input Grid or filter.

vtkStructuredGrid* vtkStructuredGridToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input Grid or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredGridToPolyDataFilter.h